<?php
   
   class MyDB extends SQLite3 {
      function __construct() {
         $this->open('/kirac/db/misc.db');
      }
   }

   $db = new MyDB();
   if(!$db) {
      echo $db->lastErrorMsg();
   }

   $sql =<<<EOF
      SELECT * from tblusers;
EOF;

   $ret = $db->query($sql);

   $row = $ret->fetchArray(SQLITE3_ASSOC);

   if($row ) {
     //user
     echo '<div class="row"><div class="col-25"><label for="fuser">Kullanıcı adı</label></div><div class="col-75"><input type="text" placeholder="Kullanıcı adını giriniz" name="fuser" required value="'. $row['user'] .'"></div></div>';

     //old pass
     echo '<div class="row"><div class="col-25"><label for="foldpass">Eski parola</label></div><div class="col-75"><input type="password" placeholder="Parolayı giriniz" name="foldpass" required></div></div>';

     //new pass
     echo '<div class="row"><div class="col-25"><label for="fnewpass">Yeni parola</label></div><div class="col-75"><input type="password" placeholder="Yeni parolayı giriniz" name="fnewpass" required></div></div>';

     //new pass again
     echo '<div class="row"><div class="col-25"><label for="fnewpassagain">Yeni parola tekrar</label></div><div class="col-75"><input type="password" placeholder="Yeni parolayı tekrar giriniz" name="fnewpassagain" required></div></div>';
   }
   $db->close();
?>
